Page MenuHomePhabricator

[Bug] getEntities generates warning Unrecognized parameter: 'dir'
Closed, ResolvedPublic

Description

Steps to reproduce:

var api = new mw.Api(), repoApi = new wb.api.RepoApi( api );
repoApi.getEntities( 'Q4115189' );

requests the URL https://www.wikidata.org/w/api.php?action=wbgetentities&format=json&ids=Q4115189&dir=ascending
which answers with

{"warnings":{"main":{"*":"Unrecognized parameter: 'dir'"}}, ...

Expected result: The parameter dir should only set when recognized.

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseJavaScriptApi : masterRemove dir and sort from getEntities things

Event Timeline

Fomafix created this task.Nov 30 2015, 6:14 AM
Fomafix raised the priority of this task from to Low.
Fomafix updated the task description. (Show Details)
Fomafix added a subscriber: Fomafix.
Restricted Application added a project: Wikidata. · View Herald TranscriptNov 30 2015, 6:14 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore renamed this task from getEntities generates warning Unrecognized parameter: 'dir' to [Bug] getEntities generates warning Unrecognized parameter: 'dir'.Dec 4 2015, 1:30 PM
Addshore set Security to None.

Change 256937 had a related patch set uploaded (by Addshore):
Stop passing 'dir' to wbgetentities

https://gerrit.wikimedia.org/r/256937

Change 256937 merged by jenkins-bot:
Remove dir and sort from getEntities things

https://gerrit.wikimedia.org/r/256937

Lydia_Pintscher closed this task as Resolved.May 9 2016, 9:13 AM
Lydia_Pintscher claimed this task.